var Strings_en = {
    title: "5110G Config tool",
    fwVersion: "Firmware version",
    pubTime: "Publish time",
    // toolbar
    toolBar: {
        usb: "USB",
        bps: "BPS",
        open: "Open",
        close: "Close",
        clickOpenOrClose: "Click open or close",
        refresh: "Refresh",
        ATF: "Load default",
        loadConfigFile: "Load config from file",
        saveConfigToFile: "Save config to file",
        restart: "Restart",
        gotoConfigMode: "Click goto config mode",
    },
    // menu
    menu: {
        //menu 1
        basic: "Basic",
        io: "GPIO",
        ain: "Ain",
        modbus: "Modbus",
        dataTrans: "Data transmit",
        other: "Other",
        test: "Test",
        sensor: "Sensor",

        //menu 2
        PageCs: "Phone number",
        PageSystem: "System",
        PageSystemTime: "System time",
        PagePower: "Battery",
        PageUart: "RS485",
        PageCallWhiteList: "Call white list",
        //io
        PageDi: "Input",
        PageDo: "Output",
        PageDiInterlock: "Input interlock",
        PageCounter: "Counter",
        PageCounterInterval: "Counter interval",
        PageCounterInterlock: "Counter interlock",
        PageCounterInterlockVoc: "Counter interlock VOC",
        PageDiSms: "Input SMS",
        PageCounterSms: "Counter SMS",
        PageCounterRegister: "Counter to Register",
        //ain
        PageAin: "Ain",
        PageAin2: "Ain2",
        PageAinInterval: "Ain interval",
        PageAinInterlock: "Ain interlock",
        PageAinInterlockVoc: "Ain interlock VOC",
        PageAinSms: "Ain SMS",
        PageAinInvalidStep: "Ain invalid step",
        //modbus
        PageModbusInterlock: "Modbus interlock",
        PageModbusInterlockVoc: "Modbus interlock VOC",
        PageModbus: "Modbus",
        PageModbus2: "Modbus 2",
        PageModbusSms: "Modbus SMS",
        PageModbusInterval: "Modbus interval",
        PageModbusInvalidStep: "Modbus invalid step",
        //gprs
        PageGprs: "GPRS",
        PageGprsDataSync: "Parameter upload",
        PageMqttDz: "MQTT-DZ",
        PageMqttParam: "MQTT parameter",
        PageMqttAinName: "MQTT-Ain name",
        PageMqttCounterName: "MQTT-Counter name",
        PageMqttRegName: "MQTT-Register name",
        PageMqttOnenetAinName: "ONENET-Ain name",
        PageMqttOnenetCounterName: "ONENET-Counter name",
        PageMqttOnenetRegName: "ONENET-Register name",
        PageWifi: "WiFi config",
        PageApn: "APN",
        // sensor
        PageGPS: "GPS",
        //Other
        PageUserCmd: "User cmd",
        PageTimer: "Timer",
        PageUcsTranscode: "UCS transcode",
        PageComTool: "COM tool",
        PagePduTool: "PDU tool",
        PageUserPrd: "PRD",
        PageDownloadFW: "Firmware upgrade",
        PageLoraVoice: "Lora voice",
        PageVoicePlay: "Voice play",
        //Test
        PageTest: "Test",
        PageToolAt: "AT",
        //RTU
        PageGsmModem: "GSM modem",
    },
    // Common
    common: {
        refresh: "Refresh",
        save: "Save",
        index: "Index",
        name: "Name",
        intervalName: "Interval name",
        value: "Value",
        state: "State",
        unit: "Unit",
        normalState: "Normal state",
        normalStateItems: [{
            value: 0,
            text: "ON" //DO on
        }, {
            value: 1,
            text: "OFF" //DO off
        }],
        alarmSms: "Alarm SMS",
        recoverSms: "Recover SMS",
        disconnSms: "Disconn SMS",
        dblClickToEdit: "Double click edit",
        ring: "Ring",
        none: "Disable",
        reserve: "Reserve",
        send: "Send",
        //Interface common parameters
        adjValue: "Adjustment",
        scaleValue: "Scale",
        stepValue: "Step value",
        alarmLowVal: "Low value",
        alarmHighVal: "High value",
        alarmStep: "Alarm step",
        recoverLag: "Recover la",
        filterLow: "Filter value",
        floatDots: "Float dots",
        filter: "Filter",
        ensureTime: "Alarm ensure time(sec)",
        stopAlarmTime: "Alarm sms limit interval(sec)",
        alarmSmsResendTime: "Alarm sms resend interval(sec)",
        smsAlarm: "SMS alarm",
        soundAlarm: "Sound alarm",
        uploadTimer: "Upload timer(sec)",
        logTimer: "Save log timer(sec)",
        //Interlock
        highInterlock: "High interlock",
        highInterlockType: "High interlock type",
        alarmUsercmd: "Alarm->user cmd",
        lowInterlock: "Low interlock",
        lowInterlockType: "Low interlock type",
        recoverUsercmd: "Recover->user cmd",
        interlockPulseTime: "Interlock pulse time(sec)",
        //interval
        iAlarmHigh: "Interval alarm high",
        intervalTime: "Interval time(sec)",
        interlockDo: "Interlock Do",
        interlockPulseTime: "Interlock pulse time(sec)",
        //voc interlock
        vocInterlockChannel: "VOC interlock channel",
        vocRepeats: "VOC repeats",
        vocDelaySec: "VOC delay time(sec)",
        // 
        invalidStep: "Invalid step",
        stepEnsureCount: "Invalid samples", //InvalidSamples 
        stepTrigeAlarmCount: "Invalid changes", //InvalidChanges
        invalidStepTip1: "",
        invalidStepTip2: "",
        invalidStepTip3: "",
        invalidStepTip4: "",
    },
    // message
    msg: {
        tryGotoConfigMode: "Try to config mode",
        tryGotoWorkMode: "Goto working mode...",
        configMode: "Goto config mode...",
        configModeOk: "Config mode",
        workMode: "Working mode",
        cmdWorkerBusy: "Please wait for the previous command to complete",
        cmdWorkerOk: "Command execute complete",
        disabled: "Unrealized!",
        portNotOpen: "Port not open",
        clickToCancelAfterCmds: "Click to cancel excute command",
        labelOrIdUndefined: "label or id undefined",
        saveCmdsToFileSuccess: "Command have been saved to a file:"
    },
    Do: {
        name: "Output",
        interlockTypes: ["0: ON", "1: OFF", "2: Pulse"],
        interlockTypesKV: [{
            value: 0,
            text: "0: OFF"
        }, {
            value: 1,
            text: "1: ON"
        }, {
            value: 2,
            text: "2: Pulse"
        }],
    },
    // COM tool
    PageComTool: {
        title: "COM tool",
        receive: "Receive:",
        autoScroll: "Auto scroll",
        clear: "Clear",
        send: "Send:",
        noComPort: "No COM port!",
        autoAddHeadAndEnd: "Auto add % and \\n when send",
        uartevent: "UARTEVENT",
    },
    //phone number
    PageCs: {
        cs: "SMS number(CS)",
        ca: "Ring number(CA)",
        cs0sms: "CS0 SMS",
        send: "Send",
        noPhoneNumOrSms: "CS0 and SMS cann't empty!",
        IMEI: "IMEI",
        allowRebindCs0: "Rebind CS0(password+space+newNumber)"
    },
    PageGsmModem: {
        smsMode: "SMS mode",
        smsModeItems: [{ value: 0, text: "0:PDU" }, { value: 1, text: "1:TEXT" }],
        noSim: "No SIM card",
        disableSms: "Disable SMS",
        smsFailRstModem: "Reset modem when SMS fail",
        modemNoRst: "Modem not restart",
        modeAutoSleep: "GSM auto sleep",
        m2mLbsEn: "Enable LBS",
        lbsTimer: "Update LBS(Every 3min)",
        autoAnswer: "Auto answering call",
        dtmfNeedPwd: "DTMF need password",
        anonymousCtrl: "Anonymous control Do(pwd+space+IOOH/IOOL/IOOP)",
        PIN: "PIN",
        PUK: "PUK",
    },
    // System
    PageSystem: {
        noSim: "No SIM card",
        smsEnable: "Enable SMS",
        smsfun: "SMS",
        smstid: "SMS contains ID",
        smstime: "SMS contains time",
        smstitle: "SMS contains device name",
        smsmemo: "SMS contains device description",
        errorSmsReply: "Reply error SMS command",
        buzzerAlarm: "Buzzer alarm(Global)",
        deviceId: "Device ID",
        countryCode: "Country code",
        timezone: "Timezone",
        deviceName: "Device name",
        longitude: "Longitude",
        latitude: "Latitude",
        deviceTime: "Device time",
        deviceTimeTitle: "Year,Mon,Day,Hour,Min",
        synctime: "synchronization time",
        alarmSmsDesc: "Alarm SMS description",
        deviceMemo: "Device description",
    },
    PageSystemTime: {
        manualSyncTime: "Manual sync time",
        syncTimeNumber: "Sync time phone number",
        deviceTimezone: "Device timezone",
        timezoneItems: [{ value: -12, text: "-12" },
            { value: -11, text: "-11" },
            { value: -10, text: "-10" },
            { value: -9, text: "-9" },
            { value: -8, text: "-8" },
            { value: -7, text: "-7" },
            { value: -6, text: "-6" },
            { value: -5, text: "-5" },
            { value: -4, text: "-4" },
            { value: -3, text: "-3" },
            { value: -2, text: "-2" },
            { value: -1, text: "-1" },
            { value: 0, text: "0" },
            { value: 1, text: "+1" },
            { value: 2, text: "+2" },
            { value: 3, text: "+3" },
            { value: 4, text: "+4" },
            { value: 5, text: "+5" },
            { value: 6, text: "+6" },
            { value: 7, text: "+7" },
            { value: 8, text: "+8" },
            { value: 9, text: "+9" },
            { value: 10, text: "+10" },
            { value: 11, text: "+11" },
            { value: 12, text: "+12" },
        ],
        deviceTimeTitle: "Year,Mon,Day,Hour,Min",
        defaultNowTime: "Empty will use computer time",
        synctime: "Sync time",
        ntpSyncTime: "Sync time by NTP",
        IP: "Address IP",
        port: "Port",
        timezone: "Timezone",
        timeoffset: "Time offset",
        timertype: "Sync time type",
        timerTypeItems: [{ value: 0, text: "0:NTP" }, { value: 1, text: "1:CWTIO server" }],
    },
    //Call white list
    PageCallWhiteList: {
        whiteList: "White list",
    },
    // Power/Battery
    PagePower: {
        powerOffSms: "Power off SMS",
        powerOnSms: "Power on SMS",
    },
    //COM port
    PageUart: {
        bps: "BPS",
        parity: "Parity",
        parityItems: [{ value: 0, text: "None" }, { value: 1, text: "EVEN" }, { value: 2, text: "ODD" }],
        databit: "Databit+Parity",
        databitItems: [{ value: 0, text: "8bit" }, { value: 1, text: "9bit" }],
        stopbit: "Stopbit",
        stopbitItems: [{ value: 0, text: "1bit" }, { value: 1, text: "0.5bit" }, { value: 2, text: "2bit" }, { value: 3, text: "1.5bit" }],
    },
    PageRs485: {
        bps: "速率",
    },
    // Input
    PageDi: {
        //nsItems: ["Off", "ON"], //Normal state 
        AC: "Alternate current",
    },
    // Counter
    PageCounter: {
        resetValue: "Reset value",
        counter: "Counter",
        resetCounter: "Reset counter value",
        selectRowOrAll: "Select row or all",
    },
    //Counter->Register
    PageCounterRegister: {
        toRegister: "Counter to register",
        registerIndex: "Register index",
    },
    PageAin: {
        calcTip: "Calc offset and scale",
        range: "Sensor output range",
        actualRange: "Actual range",
        sensorType: "Sensor type",
        sensorTypeItems: [{ value: 0, text: "0: Voltage" }, { value: 1, text: "1: Current" }],
        ok: "OK",
        cancel: "Cancel",
        powerUploadTime: "Power data upload interval(sec)",
    },
    PageAin2: {
        powerUploadTime: "Power data upload interval(sec)",
    },
    // modbus
    PageModbus: {
        modbusEnable: "Enable modbus",
        multiRead: "Read multi",
        connTimeout: "Slave connect timeout(sec)",
        readDelay: "Poll interval(ms)",
        responseTo: "Response timeout(ms)",
        autoReadMulti: "Auto read multi",
        salveAddress: "Slave address",
        registerAddress: "Register address",
        registerType: "Register type",
        registerTypeItemsKV: [{ value: 0, text: "0: COIL" }, { value: 1, text: "1: KEEP" },
            { value: 2, text: "2: INPUT" }, { value: 3, text: "3: INSTATE" }
        ],
        driverType: "Driver type",
        driverTypeItemsKV: [{ value: 0, text: "0: RS485/RS232" }, { value: 5, text: "5:Lora" }],
        ioNoramlState: "Coil/Instate",
        nsItemsKV: [{ value: 0, text: "0:OFF" }, { value: 1, text: "1:ON" }],
        value32bit: "32bit",
        wordInverse: "Word inverse",
        floatValue: "Float",
        unsignedValue: "Unsigned",
        byteInverse: "Byte inverse",
        maskAlarm: "Mask alarm",
        maskNormal: "Mask-normal",
        maskValue: "Mask value",
        value16bit: "16bit",
        copy: "Copy with command",
        copyItmes: [{ value: "REG", text: "Register(auto +1)" }, { value: "ADDR", text: "Slave(auto +1)" }],
        startIndex: "Start index",
        count: "Count",
        ok: "OK",
        formType: "Numerical calculation formula",
        formKValue: "Equation K value",
        formDefaultValue: "Formula of initial value(F0)",
        formTypeItemsKV: [{ value: 0, text: "0: Disable" }, { value: 1, text: "1: The chord displacement K*(Fi^2+F0^2)" }, { value: 2, text: "2: Incline K*sin(a)" }, { value: 3, text: "3: Micrometer" }, ]
    },
    // Output
    PageDo: {
        sirenTime: "Siren alarm time(sec)",
        // nsItems:["OFF","ON"],//normal state
        pluseTime: "Pulse time(sec)",
        siren: "Siren",
        stopSiren: "Stop siren alarm",
        anonymousSmsControl: "Allow non-CS number control output(PWD+space+IOOHx/IOOLx)",
        saveDoState: "Save output state",
    },
    PageGprs: {
        deviceId: "CWTIO-ID",
        uploadTimer: "Data upload timer(sec)",
        dtu0Gprs: "DTU transparent transmission",
        httpPostUrl: "HTTP POST address",
        setDefaultSvr: "Set to the default cloud server",
        defaultGprsServer: "www.all-m2m.com",
        serverAddress: "Server address",
        serverPort: "Port",
        transType: "TCP/UDP",
        // transTypeItems:["0: TCP","1: UDP"],
        transTypeItemsKV: [{
            value: 0,
            text: "0: TCP"
        }, {
            value: 1,
            text: "1: UDP"
        }],
        transProtocol: "Data protocol",
        // transProtocolItems: ["0: CWTIO", "1: JSON HTTP", "2: Reserved", "3: Reserved", "4: JSON", "5: DTU"],
        transProtocolItemsKV: [{
                value: 0,
                text: "0: CWTIO"
            }, {
                value: 1,
                text: "1: JSON HTTP"
            },
            {
                value: 2,
                text: "2: JSON HTTPS"
            }, {
                value: 3,
                text: "3: JSON MQTT"
            }, {
                value: 4,
                text: "4: JSON TCP"
            }, {
                value: 5,
                text: "5: DTU on 485"
            }, {
                value: 6,
                text: "6: DZCN MQTT"
            },
            {
                value: 7,
                text: "7: ONENET MQTT"
            },
            {
                value: 8,
                text: "8: user's customization"
            },
            {
                value: 9,
                text: "9: ALIYUN MQTT"
            },
        ],
        heartPacket: "Heartbeat packet",
        heartFormat: "Heartbeat format",
        heartFormatItemsKV: [{ value: 0, text: "0: Hex" }, { value: 1, text: "1: chars" }],
        heartTime: "Heartbeat time",
        registPacket: "Register message",
    },
    PageGprsDataSync: {
        uploadSetting: "Synchronize config on startup(Name,low,high, etc)",
        uploadData: "Upload interface data on startup",
        smsIotEnable: "IoT message switch(WeiXin)",
        uploadStateTimerSec: "Device status reporting timer(sec)",
    },
    PageMqttParam: {
        publishTo: "Publish timeout(sec)",
        keepAlive: "Keepalive(sec)",
        sessionType: "Session(Session reuse mechanism)",
        qos: "Qos",
        retain: "Retain(Keep last message when offline)",
        qosItems: [{ value: '0', text: "0:At-most-once" }, { value: '1', text: "1:At-least-once" }, { value: '2', text: "2:Only once" }],
        deviceId: "MQTT DZ device ID",
        serverAddress: "Server address",
        serverPort: "Port",
        transType: "TCP/UDP",
        transProtocol: "Data protocol",
        clientId: "Client ID",
        dataType: "Format data point",
        protocolVersion: "Protocol version",
        protocolVersionItems: [{ value: 15, text: "V1.5" }, { value: 20, text: "V2.0" }],
        username: "Username",
        password: "Password",
        shareGprsSverver: "Note:Shared config with servers in GPRS",
        publishTopic: "Publish topic",
        subscribeTopic: "Subscribe topic",
    },
    PageMqttDz: {
        deviceSn: "Device SN",
        deviceId: "Device ID",
        deviceKey: "Deivce key",
        publishTopic: "Publish topic",
    },
    PageWifi: {
        ssid: "SSID(WiFi name)",
        password: "Password",
        staticIp: "Static IP",
        gateway: "Gateway",
        netmask: "Netmask",
    },
    PageApn: {
        apn: "APN",
        username: "Username",
        password: "Password",
    },
    //lora语音
    PageLoraVoice: {
        loraHostAddr: "Lora host address",
        loraVocSlaveAddr: "Lora slave address",
        loraAlarmMsgTTS: "Use TTS instead of SMS",
        loraTTSRepeats: "Number of TTS repeats",
    },
    //语音播报
    PageVoicePlay: {
        ttsVol: "TTS volume",
        vocVol: "Voice announcer volume",
        modemVol: "Modem volume",
        loraHostAddr: "Lora host address",
        ttsContent: "TTS content",
    },
    // Lora低功耗产品
    PageLora: {
        loraEn: "Lora enable",
        remoteAddr: "Remote addr",
        localAddr: "Local addr",
        RespTimeoutMs: "Remote response timeout(ms)",
        frequency: "Lora frequency",
        power: "Lora power",
        powerItems: [{ value: 2, text: "2: 2dBm" }, { value: 3, text: "3: 3dBm" }, { value: 4, text: "4: 4dBm" }, { value: 5, text: "5: 5dBm" }, { value: 6, text: "6: 6dBm" }, { value: 7, text: "7: 7dBm" }, { value: 8, text: "8: 8dBm" }, { value: 9, text: "9: 9dBm" }, { value: 10, text: "10: 10dBm" }, { value: 11, text: "11: 11dBm" }, { value: 12, text: "12: 12dBm" }, { value: 13, text: "13: 13dBm" }, { value: 14, text: "14: 14dBm" }, { value: 15, text: "15: 15dBm" }, { value: 16, text: "16: 16dBm" }, { value: 17, text: "17: 17dBm" }, { value: 18, text: "18: 18dBm" }, { value: 19, text: "19: 19dBm" }, { value: 20, text: "20: 20dBm" }],
        signalBw: "Lora BW",
        signalBwItems: [{ value: 0, text: "0: 7.8khz" }, { value: 1, text: "1: 10.4khz" }, { value: 2, text: "2: 15.6khz" }, { value: 3, text: "3: 20.8khz" }, { value: 4, text: "4: 31.2khz" }, { value: 5, text: "5: 41.6khz" }, { value: 6, text: "6: 62.5khz" }, { value: 7, text: "7: 125khz" },
            { value: 8, text: "8: 250khz" }, { value: 9, text: "9: 500khz" }
        ],
        spreadingFactor: "Lora SF",
        spreadingFactorItems: [{ value: 6, text: "6: chips-64" }, { value: 7, text: "7: chips-128" }, { value: 8, text: "8: chips-256" },
            { value: 9, text: "9: chips-512" }, { value: 10, text: "10: chips-1024" }, { value: 11, text: "11: chips-2048" }, { value: 12, text: "12: chips-4096" },
        ],
        errorCoding: "Lora error code",
        errorCodingItems: [{ value: 1, text: "1: 4/5" }, { value: 2, text: "2: 4/6" }, { value: 3, text: "3: 4/7" }, { value: 4, text: "4: 4/8" }, ],
        preambleLength: "Lora preamble length",
    },
    // User command
    PageUserCmd: {
        usercmd: "User command",
        alarmAction: "Alarm action",
        recoverAction: "Recover action",
        cmd: "Command",
    },
    PageTimer: {
        Dow: "Week",
        hour: "Hour",
        min: "Minute",
        sed: "Second",
        to: "Action interval(sec/min)",
        type: "Timer type",
        weekTypeItemsKV: [{ value: 0, text: "Sunday" }, { value: 1, text: "Monday" }, { value: 2, text: "Tuesday" }, { value: 3, text: "Wednesday" }, { value: 4, text: "Thursday" }, { value: 5, text: "Friday" }, { value: 6, text: "Saturday" }, ],
        timerTypeItemsKV: [{ value: 0, text: "0: Disable" }, { value: 1, text: "1: Day timer" }, { value: 2, text: "2: Second timer" }, { value: 3, text: "3: Minute timer" }, { value: 4, text: "4: Week timer" }],
        act: "Action type",
        pulse: "Pulse",
        actTypeItemsKV: [{ value: 0, text: "0: Disable" }, { value: 1, text: "1: Reset counter and upload" }, { value: 2, text: "2: Timing sync time" }],
    },
    //test
    PageTest: {
        atf: "Load default",
        atfTitle: "Clear user configuration\nExcludes IIC data and factory date",
        atf2: "Load default2",
        atf2Title: "Clear IIC and RTC,Including counter data, etc",
        rtuftime: "Set factory date",
        rtuftimeTitle: "Set the factory date to today\n Repair without setting!",
        test: "GPIO test",
        testTitle: "Buzzer,input,output,reset button",
        clear: "Clear",
        ads: "AD test",
        adsTitle: "Analog,battery voltage",
        testBattery: "Battery test",
        testBatteryTitle: "Disconnect the external power for a few seconds,then connect",
        testModem: "Modem test",
        testModemTitle: "Pay attention to the signal,GPRS address",
        testIIC: "State of the IIC chip",
        testIICTitle: "Including chip memory size,factory date and so on",
        testLora: "Lora test",
        testLoraTitle: "LoraSendStr=123",
        test485: "RS485 test",
        test485Title: "Connect 485 to the serial port of the computer(9600)\n Appears 'Rs485 Start' when the device is powerup",
        testBuzzer: "Buzzer test",
        testBuzzerTitle: "The buzzer will sound when power on or GPIO test",
        testLight: "LED test",
        testLightTitle: "Green light go on when the device is powerup;\nRed light go on when you send text messages",
        testReset: "Reset button test",
        testResetTitle: "It will test when you test GPIO",
        testSms: "SMS test",
        testSmsTitle: "Test only send SMS, not receive SMS!",
        testSms10086: "Send to 10086",
        testSms10086Title: "TEST10086",
        testSms10001: "Send to 10001",
        testSms10001Title: "TEST10001",
        inputSmsNumber: "Enter the SMS receiving number",
        ver: "version information",
        verTitle: "Mode, version number, runtime, factory date, language, etc",
        boardImageTitle: "Click to view the test board jumper|PCB picture",
        sysLanguage: "System language",
        sysLanguageItems: [{ value: 1, text: "English" }, { value: 2, text: "中文" }, { value: 3, text: "Russian" }],
        signal: "Signal",
        signalTitle: "GSMATAT+CSQ",
        readSimcard: "Read sim card",
        readSimcardTitle: "GSMATAT+CCID",
        u2echo: "U2ECHO1",
        u2echoTitle: "Open AT test",
        u2echo0: "U2ECHO0",
        u2echo0Title: "Close AT test",
        upgrade: "Upgrade",
        upgradeTitle: "1.Select file\n2.Click upgrade\n3.Turn on the device",
        createSumFile: "Create SUM file",
        createSumFileTitle: "The last four bits of the file are SUM",
        createSumFileOk: "The SUM file was created successfully",
    },
    //PRD
    PageUserPrd: {
        maxRuntime: "Max runtime",
        pumpBlockSec: "Pump block sec",
        xTimes: "xTimes",
        lampAlarm: "Lamp alarm",
        doorUnlock: "Door unlock",
    },
    PageToolAt: {
        clear: "Clear",
        send: "Send",
        configFile: "Config file",
        fileNames: [{ value: 0, text: "none" }],
    },
    PageUcsTranscode: {
        ucs: "UCS2",
        transcode: "Transcode",
        char: "Char",
    },
    PageDownloadFW: {
        clear: "Clear",
        upgrade: "Upgrade",
        chooseFile: "Please choose file",
        notSpiFlash: "No flash chip, can not be upgraded!!!",
        readyToUpgrade: "Ready to upgrade",
        sendUpgradeCmd: "Send upgrade command",
        startSendFile: "Start send file",
        sendProgressTip: "Send {0}byte,use {1}sec",
        validateTip: "validate {0},sum={1},{2}",
        success: "success",
        fail: "fail",
        repeatTimesTip: "Repeat times:{0}",
        filePartTip: "File {0}bytes,{1}bytes/part,{2} parts",
        fileSendComplete: "File send complete.",
        upgradeTitle: "1.Select file\n2.Click upgrade\n3.Turn on the device\n4.Waiting for the upgrade to complete",
        upgradeComplete: "Upgrade complete",
        tip: "Tip:Select file(xxx.bin)->Click upgrade->Turn on the device agin->Waiting for the upgrade to complete",
    },
    PageGPS: {
        userGpsLon: "User longitude",
        userGpsLat: "User latitude",
        timerUpload: "Upload timer(sec)",
    },
};